Subject: Re: Setup and recovering from mistakes.
From: "Max Bowsher" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 17 Oct 2002 15:15:46 +0100

CBFalconer <[email-masked]> wrote:

> Max Bowsher wrote:
>>
>> I'm going to describe exactly how setup behaves for me. Explain
>> carefully how it differs for you.
>>
>> Setup Splash Page [Next]
>> Choose a Download Source [Install from Local Directory, Next]
>> Select Root Install Directory [Next]
>> Select Local Package Directory [Next]
>> Progess [wait]
>> Select Packages [Make necessary choices in the package chooser
>> thingy, Next] Stuff gets installed.
>
> This is very helpful.  It is quite possible that I am too
> impatient.  How long is the "Progress [wait]" step under what
> conditions including CPU speed (mine is very slow, a 486/80)?

Less than 1 sec on my P4 1.2GHz. I think you should hear disc access during
this phase. (I can't tell - 1GB of RAM allows a lot of disc cache :-) )

>  I
> considered that that should be virtually instantaneous, and I gave
> the process the 3 fingered salute after a relatively short time.
> As I said, I have about 90 odd megabytes of bz2 files downloaded
> as candidates to process, much of which I want to ignore for now.
>
> If the system has to expand all those bz2 files and extract the
> tar directories, that would explain the delay.

It doesn't extract them. I think it just walks the tree checking presence
and sizes (and, in as-yet-unreleased setup versions, the md5sum).

> Can you confirm that all I need to do to shift those elsewhere (a
> different disk) is to bodily move the whole "download source"
> directory (and subdirs etc) there?

You should move the entire local package directory (the one you specified in
setup.exe) and all subdirs. The setup.ini file in particular is vital if you
want to do an install with no net access.

Max.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/